--------------------------------------------------------------------------------
-- Code developed by Generis Technology Limited
--
-- Product Name: B-Smart
--
-- Component Name: Meter Asset Manager
--
-- Description: Script to apply MDD change 16/010
--
-- Amendment History:                   Date        Author            Vers
-- ------------------                   ---------   -------           -----
-- B-Smart Initial Release              10-MAR-16   Generis           15.6
--------------------------------------------------------------------------------
--
-- SET SERVEROUTPUT ON SIZE 1000000
SET VERIFY OFF
--
SET SCAN OFF
--
PROMPT
PROMPT Script to apply MDD change 16/010
PROMPT
PROMPT Version 15.6
PROMPT
--
PROMPT
PROMPT Apply amend EON as SHIP (and GAO) (MDD 16/010)
PROMPT
--
DECLARE

  invalid_column      EXCEPTION;
  is_snapshot         EXCEPTION;
  row_exists          EXCEPTION;
  fk_violated         EXCEPTION;
  PRAGMA EXCEPTION_INIT(invalid_column, -904);
  PRAGMA EXCEPTION_INIT(is_snapshot, -1732);
  PRAGMA EXCEPTION_INIT(row_exists, -1);
  PRAGMA EXCEPTION_INIT(fk_violated, -2292);

BEGIN

  EXECUTE IMMEDIATE 'UPDATE MARKET_PARTICIPANT 
                      SET MARKET_PARTICIPANT_NAME = ''Uniper Global Commodities SE'',
                              LAST_UPDATE_USER_ID = ''MDD_16_010'',
                              LAST_UPDATE_DATE = SYSDATE
                        WHERE MARKET_PARTICIPANT_CODE = ''EON''';

  EXECUTE IMMEDIATE 'UPDATE MARKET_PARTICIPANT_IN_ROLE
                          SET MARKET_PARTICIPANT_ROLE_NAME = ''Uniper Global Commodities SE (SHIP)'',
                              LAST_UPDATE_USER_ID = ''MDD_16_010'',
                              LAST_UPDATE_DATE = SYSDATE
                        WHERE MARKET_PARTICIPANT_CODE = ''EON''
                          AND MARKET_PARTICIPANT_ROLE_CODE = ''SHIP''';

  EXECUTE IMMEDIATE 'UPDATE MARKET_PARTICIPANT_IN_ROLE
                          SET MARKET_PARTICIPANT_ROLE_NAME = ''Uniper Global Commodities SE (GAO)'',
                              LAST_UPDATE_USER_ID = ''MDD_16_010'',
                              LAST_UPDATE_DATE = SYSDATE
                        WHERE MARKET_PARTICIPANT_CODE = ''EON''
                          AND MARKET_PARTICIPANT_ROLE_CODE = ''GAO''';

EXCEPTION
  WHEN is_snapshot OR invalid_column THEN
    NULL;
END;
/
--
SET SCAN ON
--
COMMIT
/
--
SET VERIFY ON
--
